import javax.swing.*;

/** Kilka narzędzi upraszczających stosowanie okien w biblitece Swing.
 *  <P>
 *  Przykłady z książki Java Servlet i JavaServer Pages. Wydanie II.
 *  Wydawnictwo HELION
 *  http://helion.pl/.
 *  &copy; 2003 Marty Hall; można kopiować i modyfikować bez ograniczeń.
 */

public class WindowUtilities {

  /** Informuje Swing by używać systemowego (natywnego) sposobu 
   *  prezentacji. Jeżeli jest on niedostępny, to użyty będzie
   *  Metal LookAndFeel.
   */

  public static void setNativeLookAndFeel() {
    try {
      UIManager.setLookAndFeel
        (UIManager.getSystemLookAndFeelClassName());
    } catch(Exception e) {
      System.out.println("Błąd podczas wybierania wyglądu: " + e);
    }
  }

  public static void setJavaLookAndFeel() {
    try {
      UIManager.setLookAndFeel
        (UIManager.getCrossPlatformLookAndFeelClassName());
    } catch(Exception e) {
      System.out.println("Błąd podczas wybierania wyglądu Java: " + e);
    }
  }

  public static void setMotifLookAndFeel() {
    try {
      UIManager.setLookAndFeel
        ("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
    } catch(Exception e) {
      System.out.println("Błąd podczas wybierania wyglądu Motif: " + e);
    }
  }
}
