package coreservlets;

/** Serwlet tworzący kilka komponentów, których właściwości
 *  zostaną wyświetlone przy użyciu języka wyrażeń JSP 2.0.
 *  <P>
 *  Przykłady z książki Java Servlet i JavaServer Pages. Wydanie II.
 *  Wydawnictwo HELION
 *  http://helion.pl/.
 *  &copy; 2003 Marty Hall; można kopiować i modyfikować bez ograniczeń.
 */

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class BeanProperties extends HttpServlet {
  public void doGet(HttpServletRequest request,
                    HttpServletResponse response)
      throws ServletException, IOException {
    NameBean name = new NameBean("Marty", "Hall");
    CompanyBean company =
      new CompanyBean("coreservlets.com", 
                      "J2EE - Kursy i konsulatacje");
    EmployeeBean employee = new EmployeeBean(name, company);
    request.setAttribute("employee", employee);
    RequestDispatcher dispatcher =
      request.getRequestDispatcher("/el/bean-properties.jsp");
    dispatcher.forward(request, response);
  }
}
