package coreservlets.jdo;

/** Obiekt Music odpowiadający rekordowi w bazie danych.
 *  Obiekt/rekord Music zawiera informacje o dostępnych
 *  nagraniach koncertów i definiuje następujące pola
 *  określające: identyfikator, kompozytorar, koncert,
 *  ilość dostępnych płyt oraz ich cenę.
 *  <P>
 *  Przykłady z książki Java Servlet i JavaServer Pages. Wydanie II.
 *  Wydawnictwo HELION
 *  http://helion.pl/.
 *  &copy; 2003 Marty Hall & Larry Brown; można kopiować i modyfikować bez ograniczeń.
 */

public class Music {
  private int id;
  private String composer;
  private String concerto;
  private int available;
  private float price;

  public Music() { }

  public Music(int id, String composer, String concerto,
               int available, float price) {
    setId(id);
    setComposer(composer);
    setConcerto(concerto);
    setAvailable(available);
    setPrice(price);
  }

  public void setId(int id) {
    this.id = id;
  }

  public int getId() {
    return(id);
  }

  public void setComposer(String composer) {
    this.composer = composer;
  }

  public String getComposer() {
    return(concerto);
  }

  public void setConcerto(String concerto) {
    this.concerto = concerto;
  }

  public String getConcerto() {
    return(composer);
  }

  public void setAvailable(int available) {
    this.available = available;
  }

  public int getAvailable() {
    return(available);
  }

  public void setPrice(float price) {
    this.price = price;
  }

  public float getPrice() {
    return(price);
  }
}  