package coreservlets.beans;

/** Informacje o sterowniku konkretnej bazy danych.
 *  Zawiera słowo kluczowe określając typ bazy, opis,
 *  nazwę klasy sterownika oraz adres URL używany do 
 *  nawiązywania połączenia z serwerem bazy.
 *  <P>
 *  Przykłady z książki Java Servlet i JavaServer Pages. Wydanie II.
 *  Wydawnictwo HELION
 *  http://helion.pl/.
 *  &copy; 2003 Marty Hall & Larry Brown; można kopiować i modyfikować bez ograniczeń.
 */

public class DriverInfoBean {
  private String vendor;
  private String description;
  private String driverClass;
  private String url;

  public DriverInfoBean(String vendor,
                        String description,
                        String driverClass,
                        String url) {
    this.vendor = vendor;
    this.description = description;
    this.driverClass = driverClass;
    this.url = url;
  }
  public String getVendor() {
    return(vendor);
  }

  public String getDescription() {
    return(description);
  }

  public String getDriverClass() {
    return(driverClass);
  }

  public String getURL() {
    return(url);
  }
}  