package coreservlets; // Zawsze używaj pakietów!

/** Prosta klasa pomocnicza służąca do generacji losowych liczb 
 *  całkowitych.
 *  <P>
 *  Przykłady z książki Java Servlet i JavaServer Pages. Wydanie II.
 *  Wydawnictwo HELION
 *  http://helion.pl/.
 *  &copy; 2003 Marty Hall; można kopiować i modyfikować bez ograniczeń.
 */

public class RanUtilities {
  
  /** Losowa liczba całkowita z zakresu od 1 to range (włącznie). */

  public static int randomInt(int range) {
    return(1 + ((int)(Math.random() * range)));
  }

  /** Metoda testowa. Należy ją wywoływać z poziomu wiersza 
   *  poleceń i przekazywać wybrany zakres. Metoda wyświetli 
   *  100 liczb. Należy sprawdzić, czy liczby te będą należeć
   *  jedynie do przedziału od 1 do podanej wartości 
   *  (włącznie)
   */
  
  public static void main(String[] args) {
    int range = 10;
    try {
      range = Integer.parseInt(args[0]);
    } catch(Exception e) { // Brak parametru lub błędny format
      // Nic nie robimy: zmienna range już ma domyślną wartość
    }
    for(int i=0; i<100; i++) {
      System.out.println(randomInt(range));
    }
  }
}
